BuildRequires: chrpath
Summary:        A Linux entropy source using the HAVEGE algorithm
Name:           haveged
Version:        1.7
Release:        alt2_1
License:        GPLv3+
Group:          System/Servers
URL:            http://www.irisa.fr/caps/projects/hipsor/
Source0:        http://www.issihosts.com/haveged/%{name}-%{version}.tar.gz
Source1:        haveged.service
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

BuildRequires:  automake gdb coreutils glibc-utils
Source44: import.info

%description
A Linux entropy source using the HAVEGE algorithm

Haveged is a user space entropy daemon which is not dependent upon the
standard mechanisms for harvesting randomness for the system entropy
pool. This is important in systems with high entropy needs or limited
user interaction (e.g. headless servers).
 
Haveged uses HAVEGE (HArdware Volatile Entropy Gathering and Expansion)
to maintain a 1M pool of random bytes used to fill /dev/random
whenever the supply of random bits in /dev/random falls below the low
water mark of the device. The principle inputs to haveged are the
sizes of the processor instruction and data caches used to setup the
HAVEGE collector. The haveged default is a 4kb data cache and a 16kb
instruction cache. On machines with a cpuid instruction, haveged will
attempt to select appropriate values from internal tables.

%package devel
Summary:   Headers and shared development libraries for HAVEGE algorithm
Group:     Development/C
Requires:  %{name} = %{version}-%{release}

%description devel
Headers and shared object symbolic links for the HAVEGE algorithm

%prep
%setup -q

%build
#autoreconf -fiv
%configure
#SMP build is not working
#make %{?_smp_mflags}
make

%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

chmod 0644 COPYING README ChangeLog AUTHORS

#Install systemd service file
rm -rf %{buildroot}/etc/init.d
pushd $RPM_BUILD_ROOT
mkdir -p .%{_unitdir}
install -p -m644 %{SOURCE1} .%{_unitdir}/haveged.service
popd

# We don't ship .la files.
rm -rf %{buildroot}%{_libdir}/libhavege.*a
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111`; do
	chrpath -d $i ||:
done

%post
%if 0%{?systemd_post:1}
%post_service haveged
%else
%endif

%preun
%if 0%{?systemd_preun:1}
%preun_service haveged
%else
%endif

%postun
%if 0%{?systemd_postun_with_restart:1}
: 
%else
%endif
: 

%files
%{_mandir}/man8/haveged.8*
%{_sbindir}/haveged
%{_unitdir}/haveged.service
%{_libdir}/*so.*
%doc COPYING README ChangeLog AUTHORS contrib/build/havege_sample.c

%files devel
%{_mandir}/man3/libhavege.3*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/havege.h
%{_libdir}/*.so


%changelog
* Sun Mar 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt2_1
- use post/un_service for service-only packages

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_1
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_0
- initial fc import

